=== debian/changelog ===
ros-one-ur-client-library (2.5.0-2noble.20251029.2032) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Wed, 29 Oct 2025 20:32:04 +0000

ros-one-ur-client-library (2.5.0-0noble) noble; urgency=high

  * Polyscopex dashboard client (#392 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/392>)
  * Use enable_external_ft_sensor on old software versions (#395 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/395>)
  * Rtde external ft (#388 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/388>)
  * Fixed auto reconnection to the RTDE server. (#384 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/384>)
  * Refactor Rtde client test (#389 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/389>)
  * Add release.yml for auto-generated changelogs (#391 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/391>)
  * Allow an empty input recipe to the RTDE client (#318 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/318>)
  * Contributors: Felix Exner, Mads Holm Peters, URJala

 -- Felix Exner <feex@universal-robots.com>  Fri, 24 Oct 2025 00:00:00 -0000

ros-one-ur-client-library (2.4.0-0noble) noble; urgency=high

  * UR18 support (#387 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/387>)
  * Remove output_bit_register_0...63 and input_bit_register_0..63 from RTDE list (#385 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/385>)
  * Set force mode parameters from config (#383 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/383>)
  * Direct torque control (#381 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/381>)
  * Update RTDE list to include new fields (#380 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/380>)
  * Add const qualifier to get functions and changed map value retrieval to at() function (#379 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/379>)
  * Contributors: Dominic Reber, Felix Exner, Pablo David Aranda Rodriguez, URJala

 -- Felix Exner <feex@universal-robots.com>  Mon, 13 Oct 2025 00:00:00 -0000

ros-one-ur-client-library (2.3.0-0noble) noble; urgency=high

  * Install endian header on Windows and Apple only (#372 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/372>)
  * Add support for UR8 LONG (#375 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/375>)
  * Change ubuntu manpage link from bionic to noble (#374 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/374>)
  * Bump actions/setup-python from 5 to 6 (#373 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/373>)
  * Add possibility to register multiple callbacks to ReverseInterface and TrajectoryPointInterface (#359 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/359>)
  * Contributors: Felix Exner, dependabot[bot]

 -- Felix Exner <feex@universal-robots.com>  Mon, 15 Sep 2025 00:00:00 -0000

ros-one-ur-client-library (2.2.0-0noble) noble; urgency=high

  * Remove print statement when executing optimovel primitives (#365 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/365>)
  * Remove SDK version mapping (#355 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/355>)
  * Support optimove motions in InstructionExecutor (#354 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/354>)
  * Initialize ReverseInterface with a config struct (#351 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/351>)
  * Join thread_move instead of killing it (#349 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/349>)
  * Fix external_control urcapx version to 0.1.0 for PolyScope 10.7.0 (#350 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/350>)
  * Contributors: Felix Exner

 -- Felix Exner <feex@universal-robots.com>  Mon, 21 Jul 2025 00:00:00 -0000

ros-one-ur-client-library (2.1.0-0noble) noble; urgency=high

  * Minimal support for building on macOS (#341 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/341>)
  * Install endian.h and add that to the target include directories on Windows and MacOS (#345 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/345>)
  * Add ScriptReader for script template parsing (#343 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/343>)
  * Add more tests for VersionInformation (#344 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/344>)
  * Fix driver branch for Jazzy downstream build (#339 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/339>)
  * Stop control, when UrDriver object is destroyed (#338 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/338>)
  * Add new robot types to URSim startup script (#331 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/331>)
  * Fix robot message type POPUP (#335 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/335>)
  * Disable checking links for two broken ones (#333 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/333>)
  * readme: load ROSin imgs from press_kit repository (#334 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/334>)
  * Added configuration data to packages parsed from the primary interface (#327 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/327>)
  * Correct message sum in test_tool_contact (#324 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/324>)

