=== debian/control ===
Source: ros-one-ur-client-library
Section: misc
Priority: optional
Maintainer: Felix Exner <feex@universal-robots.com>
Build-Depends: debhelper (>= 9.0.0), cmake
Homepage: http://wiki.ros.org/ur_client_library
Standards-Version: 3.9.2

Package: ros-one-ur-client-library
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-catkin
Description: Standalone C++ library for accessing Universal Robots interfaces.
 This has been forked off the ur_robot_driver.
