## ros-one-ur-client-library 2.6.1-2noble.20251212.2032

=== debian/changelog ===
ros-one-ur-client-library (2.6.1-2noble.20251212.2032) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Fri, 12 Dec 2025 20:32:00 +0000

ros-one-ur-client-library (2.6.1-0noble) noble; urgency=high

  * Ignore lists.apple link in link check (#411 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/411>)
  * Bump actions/checkout from 5 to 6 (#412 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/412>)
  * [Doc] Remove beta statement for External Control URCapX (#407 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/407>)
  * Updated version check, as 5.23 has been released
  * Initialize dashboard client for PolyScopeX version 10.11.0 and above (#409 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/409>)
  * Explicitly list PolyScope X compatibility (#402 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/402>)
  * Contributors: Felix Exner, Mads Holm Peters, dependabot[bot]

 -- Felix Exner <feex@universal-robots.com>  Mon, 01 Dec 2025 00:00:00 -0000

ros-one-ur-client-library (2.6.0-0noble) noble; urgency=high

  * RTDEClient sendStart handle missed confirmation (#403 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/403>)
  * Add enum value for 3PE input active to UrRtdeSafetyStatusBits (#401 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/401>)
  * Save polyscope folder in local filesystem (#399 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/399>)
  * Succeed power on command on PolyScope 5 when robot is running (#397 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/397>)
  * Bump actions/upload-artifact from 4 to 5 (#398 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/398>)
  * Contributors: Andrew C. Morrow, Felix Exner, dependabot[bot]

 -- Felix Exner <feex@universal-robots.com>  Mon, 10 Nov 2025 00:00:00 -0000
