## ros-one-ur-client-library 2.6.1-6jammy.20260119.2035

=== debian/changelog ===
ros-one-ur-client-library (2.6.1-6jammy.20260119.2035) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Mon, 19 Jan 2026 20:35:00 +0000
