## ros-one-ur-client-library 2.6.1-6noble.20260119.2033

=== debian/changelog ===
ros-one-ur-client-library (2.6.1-6noble.20260119.2033) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Mon, 19 Jan 2026 20:33:12 +0000
