## ros-one-ur-client-library 2.6.1-14noble.20260209.2047

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,9 +26,12 @@
     src/primary/primary_package.cpp
     src/primary/primary_client.cpp
     src/primary/robot_message.cpp
+    src/primary/robot_message/error_code_message.cpp
+    src/primary/robot_message/key_message.cpp
+    src/primary/robot_message/runtime_exception_message.cpp
+    src/primary/robot_message/text_message.cpp
+    src/primary/robot_message/version_message.cpp
     src/primary/robot_state.cpp
-    src/primary/robot_message/version_message.cpp
-    src/primary/robot_message/error_code_message.cpp
     src/primary/robot_state/kinematics_info.cpp
     src/primary/robot_state/robot_mode_data.cpp
     src/primary/robot_state/configuration_data.cpp
