=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -90,20 +90,10 @@
                   TEST_SUFFIX _headless
   )
 
-  # PrimaryClient tests
-  add_executable(primary_client_test_urcap test_primary_client.cpp)
-  target_link_libraries(primary_client_test_urcap PRIVATE ur_client_library::urcl GTest::gtest_main)
-  gtest_add_tests(TARGET primary_client_test_urcap
-                  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
-                  EXTRA_ARGS --headless false
-                  TEST_SUFFIX _urcap
-  )
   add_executable(primary_client_test_headless test_primary_client.cpp)
   target_link_libraries(primary_client_test_headless PRIVATE ur_client_library::urcl GTest::gtest_main)
   gtest_add_tests(TARGET primary_client_test_headless
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
-                  EXTRA_ARGS --headless true
-                  TEST_SUFFIX _headless
   )
 
   add_executable(ur_driver_deprecated_constructor_test test_deprecated_ur_driver_construction.cpp)
