## ros-one-ur-client-library 2.7.0-4jammy.20260302.2046

=== debian/changelog ===
ros-one-ur-client-library (2.7.0-4jammy.20260302.2046) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <feex@universal-robots.com>  Mon, 02 Mar 2026 20:46:54 +0000

ros-one-ur-client-library (2.7.0-0jammy) jammy; urgency=high

  * Add more RobotAPI commands to PolyScope X Dashboard Client (#435 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/435>)
  * [RTDE client] Test reconnect (#433 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/433>)
  * [TCPServer] Close all filedescriptors on shutdown (#432 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/432>)
  * [primary interface] More robot messages (#429 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/429>)
  * Fix instruction executor idle (#424 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/424>)
  * [primary interface] Fix parsing of primary messages (#426 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/426>)
  * [primary interface] Add KeyMessage parsing (#428 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/428>)
  * Add test for VersionMessage (#427 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/427>)
  * Add two new RTDE fields (#420 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/420>)
    Add fields
    - target_gravity
    - target_base_acceleration
  * Allow updating robot gravity (#415 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/415>)
  * Do not disconnect dashboard_client on read timeout (#414 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/414>)
  * Added support for std::vector strings in UrDriver (#408 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/408>)
  * Contributors: AdamPettinger, Felix Exner, Pablo David Aranda Rodriguez, dependabot[bot]

 -- Felix Exner <feex@universal-robots.com>  Wed, 18 Feb 2026 00:00:00 -0000
